
#include "xpex.h"
#include <stdio.h>

PEXReflectionAttributes refl_props;
PEXColor     colorMaterial;
PEXColorType materialColorType;


void printMaterial()
{
    fprintf( stdout, "Mat Refl Attrs Amb %.2f Diff %.2f Tran %.2f Spec %.2f Exp %.2f\n", refl_props.ambient, refl_props.diffuse, refl_props.transmission, refl_props.specular, refl_props.specular_conc );

    fprintf( stdout, "Mat Refl Color " );
    switch( refl_props.specular_color.type ) {
    case PEXColorTypeRGB:
        fprintf( stdout, "RGB %.2f %.2f %.2f ", refl_props.specular_color.value.rgb.red, refl_props.specular_color.value.rgb.green, refl_props.specular_color.value.rgb.blue );
        break;
    case PEXColorTypeHSV:
        fprintf( stdout, "HSV %.2f %.2f %.2f ", refl_props.specular_color.value.hsv.hue, refl_props.specular_color.value.hsv.saturation, refl_props.specular_color.value.hsv.value );
        break;
    case PEXColorTypeHLS:
        fprintf( stdout, "HLS %.2f %.2f %.2f ", refl_props.specular_color.value.hls.hue, refl_props.specular_color.value.hls.lightness, refl_props.specular_color.value.hls.saturation );
        break;
    case PEXColorTypeCIE:
        fprintf( stdout, "CIE %.2f %.2f %.2f ", refl_props.specular_color.value.cie.x, refl_props.specular_color.value.cie.y, refl_props.specular_color.value.cie.z );
        break;
    default:
        break;
    }
    fprintf( stdout, "\n" );

    fprintf( stdout, "Mat Color " );
    switch( materialColorType ) {
    case PEXColorTypeRGB:
        fprintf( stdout, "RGB %.2f %.2f %.2f ", colorMaterial.rgb.red, colorMaterial.rgb.green, colorMaterial.rgb.blue );
        break;
    case PEXColorTypeHSV:
        fprintf( stdout, "HSV %.2f %.2f %.2f ", colorMaterial.hsv.hue, colorMaterial.hsv.saturation, colorMaterial.hsv.value );
        break;
    case PEXColorTypeHLS:
        fprintf( stdout, "HLS %.2f %.2f %.2f ", colorMaterial.hls.hue, colorMaterial.hls.lightness, colorMaterial.hls.saturation );
        break;
    case PEXColorTypeCIE:
        fprintf( stdout, "CIE %.2f %.2f %.2f ", colorMaterial.cie.x, colorMaterial.cie.y, colorMaterial.cie.z );
        break;
    default:
        break;
    }
    fprintf( stdout, "\n" );
}
